package com.ruoyi.project.training.newstaff.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 新员工培训对象 t_tn_new
 *
 * @author ruoyi
 * @date 2023-06-29
 */
public class TTnNew extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long newId;

    /** 培训员工编号 */
    @Excel(name = "培训员工编号")
    private String staffId;

    @Excel(name = "培训员工")
    private String staffName;
    /** 年度培训标题 */
    @Excel(name = "年度培训标题")
    private String name;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 培训状态 */
    @Excel(name = "培训状态")
    private Long planStatus;

    /** 年份 */
    private Long planYear;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startdate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enddate;

    /** 导师员工编号 */
    @Excel(name = "导师员工编号")
    private String mentorStaffId;

    /** 导师员工编号 */
    @Excel(name = "导师")
    private String mentorStaffName;

    /** 培训类型 1-新员工 2-转岗 */
    @Excel(name = "培训类型 1-新员工 2-转岗")
    private Long planType;

    /** 培训类型 1-新员工 2-转岗 */
    private String planFinish;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;
    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setNewId(Long newId)
    {
        this.newId = newId;
    }

    public Long getNewId()
    {
        return newId;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setPlanStatus(Long planStatus)
    {
        this.planStatus = planStatus;
    }

    public Long getPlanStatus()
    {
        return planStatus;
    }
    public void setPlanYear(Long planYear)
    {
        this.planYear = planYear;
    }

    public Long getPlanYear()
    {
        return planYear;
    }
    public void setStartdate(Date startdate)
    {
        this.startdate = startdate;
    }

    public Date getStartdate()
    {
        return startdate;
    }
    public void setEnddate(Date enddate)
    {
        this.enddate = enddate;
    }

    public Date getEnddate()
    {
        return enddate;
    }
    public void setMentorStaffId(String mentorStaffId)
    {
        this.mentorStaffId = mentorStaffId;
    }

    public String getMentorStaffId()
    {
        return mentorStaffId;
    }
    public void setPlanType(Long planType)
    {
        this.planType = planType;
    }

    public Long getPlanType()
    {
        return planType;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getMentorStaffName() {
        return mentorStaffName;
    }

    public void setMentorStaffName(String mentorStaffName) {
        this.mentorStaffName = mentorStaffName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPlanFinish() {
        return planFinish;
    }

    public void setPlanFinish(String planFinish) {
        this.planFinish = planFinish;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("newId", getNewId())
            .append("staffId", getStaffId())
            .append("name", getName())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("planStatus", getPlanStatus())
            .append("planYear", getPlanYear())
            .append("startdate", getStartdate())
            .append("enddate", getEnddate())
            .append("mentorStaffId", getMentorStaffId())
            .append("planType", getPlanType())
            .append("remarks", getRemarks())
            .toString();
    }
}
